Subject: Re: bug#23350: 25.0.93; Docstring of bookmark-save-flag wrongly says that bookmark-default-file defaults do ~/.emacs.bmk

From: Jorge Peixoto de Morais Neto <[email-masked]>
Date: Sun, 24 Apr 2016 12:37:48 -0300

On Sat, 2016-04-23 at 14:32 -0700, John Mastro wrote:
> My reading of the docstring and code is that it's working as intended.
> It's not that .emacs.bmk is the default, but that it was the default in
> the past.
> 
> The logic seems to be (assuming ~/.emacs.d/ is the user's Emacs
> directory):
>   1. If `bookmark-file' is non-nil, use that
>   2. If ~/.emacs.d/bookmarks exists, use that
>   3. If ~/.emacs.d/.emacs.bmk exists, use that
>   4. Otherwise, use ~/.emacs.d/bookmarks
> 
> Note that ~/.emacs.d/bookmarks is used in both 2 and 4.
> 
> In other words, ~/.emacs.d/bookmarks is the real default, but it's
> accommodating the continued use of the old default
> (~/.emacs.d/.emacs.bmk).
In a vanilla, non-customized installation of Emacs, bookmark-default-file
is "~/.emacs.d/bookmarks".  That is what should be reported as the default
value.

Instead, the docstring of bookmark-save-flag says:
> To specify the file in which to save them, modify the variable
> ‘bookmark-default-file’, which is ‘~/.emacs.bmk’ by default.

This is confusing.  The docstring of bookmark-load is also confusing, as it
says:
> Your own personal bookmark file, ‘~/.emacs.bmk’, is
> maintained automatically by Emacs

These docstrings could send a novice user in the wrong direction, consuming
his time and reinforcing the image that configuring Emacs is time-consuming. 

-- 
- I am Brazilian.  I hope my English is correct and I welcome corrections.
- Please adopt free formats like PDF, ODF, LaTeX, Vorbis, Opus, WebM and 7z.
- Free software for Android: https://f-droid.org/